
<!-- Descripción del producto asociado al grupo de análisis -->
<mat-card [ngClass]="class" style="padding-right: 2px" id="{{product['sku']}}" [attr.data-sku]="product['sku']" [attr.data-idpage]="pageId" [attr.data-madreid]="product['madre_id']" [attr.data-etariocod]="product['etariocod']" [attr.data-codn3]="product['codn3']" [attr.data-codn4]="product['codn4']" [attr.data-name]="product['name']" [attr.data-punta_precio]="product['punta_precio']" [attr.data-diseno]="product['diseno']" [attr.data-color]="product['color']">
  <mat-icon *ngIf="contentId > 0" style="float: right; color: red; cursor: pointer; padding:1px" (click)="deleteContent(contentId)">clear</mat-icon>

  <mat-card-content style="margin-top: 4px;">

    <mat-card-title class="small-title">{{product['name']}} {{product['name_desc']}}</mat-card-title>

    <mat-card-subtitle id="label-sku-{{product['sku']}}" class="small-title" style="border-block-end-color: black; height: 20px; margin-bottom: 0px; padding-top: 7px; display: inline;">
      <!-- Sin funciones -->
      <p *ngIf="exist == 0" matTooltip="{{product['measurements']}}" matTooltipPosition="above" class="moreSkuContainer" style="margin:1px; display: inline;">
          {{product['sku'] | skumod }} - pp {{+product['punta_precio']}}
      </p>

      <!-- Con funciones -->
      <p *ngIf="exist == 1" [ngStyle]="{'background-color': product['is_new']==1 ? 'yellow' : ''}" (click)="saveOptional(product['sku'], false, product['is_new'], product['pp_symbol'], product['measurements'])" matTooltip="{{product['measurements']}}" matTooltipPosition="above" class="moreSkuContainer" style="cursor: pointer; margin:1px;">
          {{product['sku'] | skumod }} - pp {{+product['punta_precio']}}
      </p>
      <p id="sku-children-{{sku[0]}}" (click)="saveOptional(sku[0], true, sku[3], sku[2], sku[4])" class="moreSkuContainer" matTooltip="{{sku[1]}}" matTooltipPosition="above" style="cursor: pointer; margin: 1px;" [ngStyle]="{'background-color': sku[3]==1 ? 'yellow' : ''}" *ngFor="let sku of moreSku">
        {{sku[0] | skumod}} - pp {{+sku[6]}}
      </p>

    </mat-card-subtitle>
    <br>
    <div style="width:100%" *ngIf="contentId > 0" >
      <div id="inner">
        <button mat-icon-button [matMenuTriggerFor]="menu" >
          <mat-icon [ngStyle]="{color: markTag}" >assistant_photo</mat-icon>
        </button>
        <mat-menu #menu="matMenu">
          <button mat-menu-item (click)="selectTag(0)">
            Sin seleccionar
          </button>
          <button mat-menu-item *ngFor="let tag of tags" [value]=tag.id (click)="selectTag(tag.id)" >
              <img style="max-width: 50px; max-height: 50px; min-width: 50px; min-height: 50px" src="{{ruteTags}}{{tag.img_url}}" alt=""> {{tag.titulo}}
          </button>
        </mat-menu>

        <button mat-icon-button (click)="giveValue(1)">
          <mat-icon aria-label="" [ngStyle]="{color: markMore}" >add</mat-icon>
        </button>
        <button mat-icon-button (click)="giveValue(2)">
          <mat-icon aria-label="" [ngStyle]="{color: markLess}">remove</mat-icon>
        </button>
        <button mat-icon-button (click)="giveValueAll(0)">
          <mat-icon aria-label="" [ngStyle]="{color: markNew}">star</mat-icon>
        </button>
      </div>
    </div>
    <br>
    <div style='max-width: 7em; min-width: 7em; max-height: 9em; min-height: 9em; margin-bottom: 1px;' align="center">
      <img align="center" class=""  mat-card-image src="{{routeImg}}" alt="Product">
    </div>
    <p class="small-title" style="margin:1px; text-align: left;">Diseño: {{product['diseno']}}</p>
    <p class="small-title" style="margin:1px; text-align: left;">Color: {{product['color']}}</p>
  </mat-card-content>
</mat-card>
